Subject: Re: [PATCH net] net: mvpp2: fix condition for setting up link interrupt

From: Antoine Tenart <[email-masked]>
Date: Tue, 10 Dec 2019 15:53:59 +0100

Hi Russell,

On Sun, Dec 08, 2019 at 04:42:36PM +0000, Russell King - ARM Linux admin wrote:
> 
> Today, I received an email from Willy Tarreau about this issue which
> persists to this day with mainline kernels.
> 
> Willy reminded me that I've been carrying a fix for this, but because
> of your concerns as stated above, I haven't bothered submitting it
> through fear of causing regressions (which you seem to know about):
> 
>    http://git.armlinux.org.uk/cgit/linux-arm.git/commit/?h=mvpp2&id=67ef3bff255b26cc0d6def8ca99c4e8ae9937727
> 
> Just like Thomas' case, the current code is broken for phylink when
> in-band negotiation is being used - such as with the 1G/2.5G SFP
> slot on the Macchiatobin.
> 
> It seems that resolving the issue has stalled.  Can I merge my patch,
> or could you state exactly what the problems are with it so that
> someone else can look into the issues please?

Yes, please merge your patch (the one dropping the check on
'!port->phylink'), I've been using it for months. I answered that patch
submission back then[1] but it seems it was lost somehow :)

Thanks!
Antoine

[1] https://www.spinics.net/lists/netdev/msg555697.html

-- 
Antoine Ténart, Bootlin
Embedded Linux and Kernel engineering
https://bootlin.com